<template>
  <v-container fluid>
    <v-row justify="center" align="center" class="py-16">
      <v-card
        rounded
        :width="400"
        :min-height="350"
        :max-height="350"
        class="pa-4  my-16"
      >
        <v-card-title>
          <v-spacer />
          <h2 class="font-weight-medium ">Cafe Bang Moel</h2>
          <v-spacer />
        </v-card-title>
        <v-card-text class="black--text mt-4">
          <v-text-field
            label="Username"
            outlined
            :rules="[rules.required]"
            v-model="username"
          ></v-text-field>
          <v-text-field
            label="Password"
            hint="At least 8 characters"
            outlined
            v-model="password"
            :append-icon="showPassword ? 'mdi-eye' : 'mdi-eye-off'"
            :rules="[rules.required]"
            :type="showPassword ? 'text' : 'password'"
            @click:append="showPassword = !showPassword"
          ></v-text-field>
        </v-card-text>
        <v-card-actions class="pt-0 pb-4">
          <v-spacer />
          <v-btn
            @click="login"
            depressed
            large
            min-width="100"
            color="primary lighten-2"
            class="font-weight-bold white--text text-capitalize"
            >Login</v-btn
          >
          <v-spacer />
        </v-card-actions>
      </v-card>
    </v-row>
  </v-container>
</template>

<script>
export default {
  name: 'Checkout',
  data() {
    return {
      username: '',
      password: '',
      showPassword: false,
      rules: {
        required: value => !!value || 'Required.',
      },
    };
  },
  computed: {
    orders() {
      return this.$store.state.cart;
    },
    totalPrice() {
      if (this.orders.length) {
        return this.orders.length > 1
          ? this.orders
              .map(arr => arr.amount * arr.price)
              .reduce((a, b) => a + b)
          : this.orders[0].amount * this.orders[0].price;
      }
      return 0;
    },
  },
  methods: {
    login() {
      if (this.username === 'admin' && this.password === 'admin') {
        this.$store.commit('loginSuccess');
        this.$router.push('/');
      }
    },
    formatCurr(num) {
      return Intl.NumberFormat('id-ID', {
        style: 'currency',
        currency: 'IDR',
      }).format(num);
    },
  },
};
</script>

<style lang="scss" scoped>
.scroll {
  max-height: 350px;
  overflow-y: auto;
  &::-webkit-scrollbar {
    width: 0.3em;
    border-radius: 0.3em;
    background-color: rgb(163, 163, 163);
  }
  &::-webkit-scrollbar-thumb {
    width: 0.3em;
    border-radius: 0.3em;
    background-color: rgb(63, 63, 63);
  }
}
</style>
